Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 756096 - [RFE]change UNHIBERNATE default value to not wake up all the machines
[RFE]change UNHIBERNATE default value to not wake up all the machines
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
2.1
All All
low Severity low
: 2.3
: ---
Assigned To: Timothy St. Clair
Luigi Toscano
: FutureFeature
Depends On:
Blocks: 803359
  Show dependency treegraph
 
Reported: 2011-11-22 12:05 EST by Luigi Toscano
Modified: 2013-03-06 13:39 EST (History)
5 users (show)

See Also:
Fixed In Version: condor-7.8.2-0.1
Doc Type: Enhancement
Doc Text:
C: The defaults caused machines to wake up unnecessarily. C: All sleeping machines are woken up after each ROOSTER_INTERVAL. C: Update the default to wakeup machines only if they have been matched within the last 1/2 hour. R: Machines are only woken up if they have a recent match.
Story Points: ---
Clone Of:
: 803359 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 18:37:09 EST

  None (edit)
Description Luigi Toscano 2011-11-22 12:05:55 EST
Description of problem:
The out of the box definition of UNHIBERNATE is:
UNHIBERNATE = MachineLastMatchTime =!= UNDEFINED
Thus all the sleeping machines are woken up after each ROOSTER_INTERVAL (because ROOSTER_UNHIBERNATE=Offline && Unhibernate).

I understand that this value would probably need a tuning in every cluster, but I think that a more reasonable default value would be something like:

Unhibernate = CurrentTime - MachineLastMatchTime < 1200

as described here: 
https://lists.cs.wisc.edu/archive/condor-users/2010-April/msg00063.shtml

This could be maybe changed upstream.

Version-Release number of selected component:
condor-7.6.5-0.7
Comment 3 Timothy St. Clair 2012-03-19 14:12:38 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: The defaults caused machines to wake up unnecessarily. 
C: All sleeping machines are woken up after each ROOSTER_INTERVAL.
C: Update the default to wakeup machines only if they have been matched within the last 1/2 hour.
R: Machines are only woken up if they have a recent match.
Comment 7 Luigi Toscano 2013-01-28 13:26:01 EST
The default value has been changed as described

Verified on RHEL5.9/6.4 beta, i386/x86_64 and windows package.
condor-7.8.8-0.4
Comment 9 errata-xmlrpc 2013-03-06 13:39:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.